Class {
	#name : #TWSeedTest,
	#superclass : #TestCase,
	#category : #'TiddlyWiki-TiddlyWiki'
}

{ #category : #accessing }
TWSeedTest >> testCreateAlternativeSeed [

	| seed folder |
	folder := FileLocator temp / 'Wikilexias'.
	folder ensureDeleteAll.
	seed := TWSeed install: 'Wikilexias' into: FileLocator temp as: 'Wikilexias'.
	self assert: seed file equals: (FileLocator temp / 'Wikilexias' / 'index.html')
]

{ #category : #accessing }
TWSeedTest >> testDefaultIsSeed [

	| seed |
	seed := TWSeed default.
	self assert: seed class equals: TWSeed
]

{ #category : #accessing }
TWSeedTest >> testListIsNotEmpty [

	| seed |
	seed := TWSeed list.
	self assert: seed size >= 1
]
